clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Classes | Typedefs | Functions | Variables
Modularize Namespace Reference

## Classes
class | CoverageChecker
| Module map checker class. More...
class | ModularizeUtilities
| Modularize utilities class. More...
class | PreprocessorTracker
| Preprocessor tracker for modularize. More...

## Typedefs
typedef llvm::PooledStringPtr | StringHandle
typedef int | HeaderHandle
typedef int | InclusionPathHandle

## Functions
static std::string | getSourceLocationString (clang::Preprocessor &PP, clang::SourceLocation Loc)
static std::string | getSourceLocationFile (clang::Preprocessor &PP, clang::SourceLocation Loc)
static void | getSourceLocationLineAndColumn (clang::Preprocessor &PP, clang::SourceLocation Loc, int &Line, int &Column)
static std::string | getSourceString (clang::Preprocessor &PP, clang::SourceRange Range)
static std::string | getSourceLine (clang::Preprocessor &PP, clang::SourceLocation Loc)
static std::string | getSourceLine (clang::Preprocessor &PP, clang::FileID FileID, int Line)
static std::string | getMacroUnexpandedString (clang::SourceRange Range, clang::Preprocessor &PP, llvm::StringRef MacroName, const clang::MacroInfo *MI)
static std::string | getMacroExpandedString (clang::Preprocessor &PP, llvm::StringRef MacroName, const clang::MacroInfo *MI, const clang::MacroArgs *Args)

## Variables
const HeaderHandle | HeaderHandleInvalid = -1
const InclusionPathHandle | InclusionPathHandleInvalid = -1

## Typedef Documentation

typedef int Modularize::HeaderHandle

Definition at line 261 of file PreprocessorTracker.cpp.

typedef int Modularize::InclusionPathHandle

Definition at line 264 of file PreprocessorTracker.cpp.

typedef llvm::PooledStringPtr Modularize::StringHandle

Definition at line 259 of file PreprocessorTracker.cpp.

## Function Documentation

static std::string Modularize::getMacroExpandedString | ( | clang::Preprocessor & | PP,
|  | llvm::StringRef | MacroName,
|  | const clang::MacroInfo * | MI,
|  | const clang::MacroArgs * | Args
| ) |  |
| static

Definition at line 402 of file PreprocessorTracker.cpp.

References Name.

static std::string Modularize::getMacroUnexpandedString | ( | clang::SourceRange | Range,
|  | clang::Preprocessor & | PP,
|  | llvm::StringRef | MacroName,
|  | const clang::MacroInfo * | MI
| ) |  |
| static

Definition at line 377 of file PreprocessorTracker.cpp.

static std::string Modularize::getSourceLine | ( | clang::Preprocessor & | PP,
|  | clang::SourceLocation | Loc
| ) |  |
| static

Definition at line 314 of file PreprocessorTracker.cpp.

static std::string Modularize::getSourceLine | ( | clang::Preprocessor & | PP,
|  | clang::FileID | FileID,
|  | int | Line
| ) |  |
| static

Definition at line 340 of file PreprocessorTracker.cpp.

static std::string Modularize::getSourceLocationFile | ( | clang::Preprocessor & | PP,
|  | clang::SourceLocation | Loc
| ) |  |
| static

Definition at line 279 of file PreprocessorTracker.cpp.

References getSourceLocationString().

static void Modularize::getSourceLocationLineAndColumn | ( | clang::Preprocessor & | PP,
|  | clang::SourceLocation | Loc,
|  | int & | Line,
|  | int & | Column
| ) |  |
| static

Definition at line 289 of file PreprocessorTracker.cpp.

static std::string Modularize::getSourceLocationString | ( | clang::Preprocessor & | PP,
|  | clang::SourceLocation | Loc
| ) |  |
| static

Definition at line 270 of file PreprocessorTracker.cpp.

Referenced by getSourceLocationFile().

static std::string Modularize::getSourceString | ( | clang::Preprocessor & | PP,
|  | clang::SourceRange | Range
| ) |  |
| static

Definition at line 303 of file PreprocessorTracker.cpp.

## Variable Documentation

const HeaderHandle Modularize::HeaderHandleInvalid = -1

Definition at line 262 of file PreprocessorTracker.cpp.

const InclusionPathHandle Modularize::InclusionPathHandleInvalid = -1

Definition at line 265 of file PreprocessorTracker.cpp.